@charset "UTF-8";
/* =========================================================
会員情報入力
========================================================= */
.form-step {
  counter-reset: number 0;
  max-width: 480px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  position: relative;
}

@media (max-width: 768px) {
  .form-step {
    width: 83.7333333333vw;
  }
}
.form-step__item {
  color: #949494;
  text-align: center;
  position: relative;
  z-index: 1;
}

@media (max-width: 768px) {
  .form-step__item {
    font-size: 10px;
  }
}
@media (min-width: 769px) {
  .form-step__item {
    font-size: 11px;
  }
}
.form-step__item::before {
  content: counter(number);
  counter-increment: number 1;
  width: 38px;
  height: 38px;
  margin: 0 auto 10px;
  padding: 13px 0 0;
  border-radius: 50%;
  background: #eee;
  color: #8D999A;
  font-family: "TTCommons-Regular", sans-serif;
  font-size: 16px;
  line-height: 1;
  text-align: center;
}

.form-step__item::after {
  content: "";
  width: clamp(10px, 37vw, 210px);
  height: 1px;
  background: #eee;
  position: absolute;
  top: 19px;
  left: 50%;
  z-index: -1;
}

.form-step__item:last-child::after {
  content: none;
}

body.page-myChangeKojinInfo .form-step .form-step__item:nth-child(-n+1),
body.page-mailCheck .form-step .form-step__item:nth-child(-n+1),
body.page-myRegistrationConfirmKojin .form-step .form-step__item:nth-child(-n+2),
body.page-myRegistrationMemberFinish .form-step .form-step__item {
  color: #000030;
}

body.page-myChangeKojinInfo .form-step .form-step__item:nth-child(-n+1)::before,
body.page-mailCheck .form-step .form-step__item:nth-child(-n+1)::before,
body.page-myRegistrationConfirmKojin .form-step .form-step__item:nth-child(-n+2)::before,
body.page-myRegistrationMemberFinish .form-step .form-step__item::before {
  background: #000030;
  color: #fff;
}

body.page-myRegistrationConfirmKojin .form-step .form-step__item:nth-child(-n+1)::after,
body.page-myRegistrationMemberFinish .form-step .form-step__item::after {
  background: #000030;
}

.information-form {
  padding-top: 40px;
}

@media (max-width: 768px) {
  .information-form {
    padding-bottom: 64px;
  }
}
@media (min-width: 769px) {
  .information-form {
    padding-bottom: 120px;
  }
}
.information-form__text01 {
  font-size: 14px;
  line-height: 1.5;
}

@media (max-width: 768px) {
  .information-form__text01 {
    margin: 40px auto 0;
  }
}
@media (min-width: 769px) {
  .information-form__text01 {
    margin: 64px auto 0;
  }
}
.information-form__text02 {
  color: #404040;
  font-size: 16px;
  line-height: 1.625;
  text-align: center;
}

@media (max-width: 768px) {
  .information-form__text02 {
    margin: 80px auto 0;
  }
}
@media (min-width: 769px) {
  .information-form__text02 {
    margin: 64px auto 0;
  }
}
.form-block {
  margin: 50px auto 0;
}

.form-block .c-form {
  position: relative;
}

.form-block .auto-input-button {
  width: fit-content;
  margin: 0 0 10px auto;
}

.form-block .auto-input-button a {
  display: block;
  padding: 6px 12px;
  background: #eee;
  font-size: 12px;
  text-decoration: underline;
}

.terms-block {
  margin: 40px auto 0;
}

.terms-block__box {
  background: #F6F6F6;
}

@media (max-width: 768px) {
  .terms-block__box {
    padding: 24px;
    height: 230px;
  }
}
@media (min-width: 769px) {
  .terms-block__box {
    padding: 42px;
    height: 330px;
  }
}
.terms-block__in {
  height: 100%;
  overflow: scroll;
}

.terms-block__title {
  font-size: 16px;
  line-height: 1.125;
}

@media (max-width: 768px) {
  .terms-block__text {
    margin: 16px auto 0;
    font-size: 12px;
    line-height: 1.5;
  }
}
@media (min-width: 769px) {
  .terms-block__text {
    margin: 20px auto 0;
    font-size: 13px;
    line-height: 1.5384615385;
  }
}
.terms-block__check {
  margin: 40px auto 0;
  text-align: center;
}

.terms-block .c-button02--type01 {
  max-width: 350px;
  margin: 40px auto 0;
  text-align: center;
}

.confirm-block {
  max-width: 465px;
  margin: 40px auto 0;
  display: flex;
  gap: 24px;
}

@media (max-width: 768px) {
  .confirm-block .c-button02--type02 {
    width: 108px;
  }
}
@media (min-width: 769px) {
  .confirm-block .c-button02--type02 {
    width: 140px;
  }
}
.confirm-block .c-button02--type01 {
  flex: 1;
}

.membership-block {
  margin: 80px auto 0;
  padding: 40px 0 0;
  border-top: 1px solid #eee;
}

.membership-block__title {
  font-size: 14px;
  line-height: 1.5;
  font-weight: 500;
  text-align: center;
}

.membership-block__image {
  margin: 16px auto 0;
}

.membership-block__text {
  margin: 24px auto 0;
  color: #404040;
}

@media (max-width: 768px) {
  .membership-block__text {
    font-size: 12px;
    line-height: 1.5;
  }
}
@media (min-width: 769px) {
  .membership-block__text {
    font-size: 14px;
    line-height: 1.5;
  }
}
.membership-block__link {
  margin: 24px auto 0;
  font-size: 12px;
  line-height: 1.5;
  display: flex;
  align-items: center;
  gap: 8px;
}

/* 2025/12/05 ITFOR src.snagatani 相対パスでアイコンを読み込みできなかったため START*/
.membership-block__link::before {
  content: "";
  width: 4px;
  height: 7px;
  background: url(/ec/images/ico_arrow01.svg) no-repeat center/contain;
}
/* 2025/12/05 ITFOR src.snagatani 相対パスでアイコンを読み込みできなかったため END*/

@media (min-width: 769px) {
  h1.c-title02 {
    font-size: 26px;
    margin-top: 10px;
    margin-bottom: 54px;
  }
}
.form-btns__wrapper {
  display: flex;
  gap: 24px;
  max-width: 520px;
  margin: 30px auto 0;
}

@media (min-width: 769px) {
  .form-btns__wrapper {
    margin-top: 60px;
  }
}
.form-btns__wrapper .c-button02--type02 {
  width: 31.7%;
}

.form-btns__wrapper .c-button02--type01 {
  width: 64%;
}

.information-form__text01.error-txt {
  border: 1px solid #DB312F;
  color: #db152f;
  background: #fff4f4;
  padding: 16px;
  font-size: 12px;
}

@media (min-width: 769px) {
  .information-form__text01.error-txt {
    font-size: 14px;
  }
}
.barcode-box {
  border: 1px solid #CCCCCC;
  text-align: center;
  margin-bottom: 40px;
}

@media (min-width: 769px) {
  .barcode-box {
    max-width: 520px;
    margin: 0 auto 40px;
  }
}
.barcode-box .barcode-box__ttl {
  background: #000030;
  color: #fff;
  font-size: 14px;
  padding: 12px;
}

.barcode-box .barcode-box__code-wrap {
  padding: 30px 35px;
}

@media (min-width: 769px) {
  .barcode-box .barcode-box__code-wrap .barcode-box__code {
    max-width: 276px;
  }
}
.item-list {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 40px;
}

@media (max-width: 768px) {
  .item-list {
    flex-direction: column;
    gap: 40px;
    padding: 0 44px;
  }
}
@media (min-width: 769px) {
  .item-list {
    gap: 40px 20px;
  }
}
@media (min-width: 769px) {
  .item-list .item-box {
    width: calc(50% - 10px);
  }
}
.item-list .item-box .item-box__img {
  margin-bottom: 8px;
}

.item-list .item-box .item-box__txt {
  line-height: 1.5;
}

.item-list .item-box .item-box__txt01 {
  font-size: 14px;
  margin-bottom: 5px;
}

.item-list .item-box .item-box__txt02 {
  font-size: 12px;
  color: #949494;
}

.c-button02--type02__back {
  margin-top: 40px;
  position: relative;
}

@media (min-width: 769px) {
  .c-button02--type02__back {
    width: 340px;
    margin: 40px auto 0;
  }
}
/* 2025/12/05 ITFOR src.snagatani 相対パスでアイコンを読み込みできなかったため START*/
.c-button02--type02__back::before {
  content: "";
  width: 4px;
  height: 8px;
  mask: url(/ec/images/ico_arrow01.svg) no-repeat center/contain;
  background: #000000;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 6%;
  margin: auto;
  transform: scale(-1, 1);
}
/* 2025/12/05 ITFOR src.snagatani 相対パスでアイコンを読み込みできなかったため END*/